OpenJPEG: Data Fields

OpenJPEG 2.5.0

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - n -

- n : opj_jp2_cdef
- nb_columns : opj_dwt97_decode_v_job_t
- nb_of_tiles : opj_codestream_index
- nb_packet : opj_tile_index
- nb_rows : opj_dwt97_decode_h_job_t
- nb_tile_to_decode : opj_dparameters
- nb_tps : opj_tile_index
- nbcomps : opj_codestream_info_v2
- nc : ihdrbox_param
- need_PLT : opj_tcd_marker_info
- newlen : opj_tcd_seg
- next : box_param, boxheader_param, cache_param, cachemodel_param, channel_param, markeridx_param, message_param, metadata_param, opj_job_list_t, opj_worker_thread_list_t, placeholder_param, session_param, target_param
- nlps : opj_mqc_state
- nmax : subfaixbox4_param, subfaixbox8_param
- nmps : opj_mqc_state
- nodes : opj_tgt_tree
- nodes_size : opj_tgt_tree
- not_used : opj_jp2_index, opj_jp2_metadata
- nr_channels : opj_jp2_pclr
- nr_entries : opj_jp2_pclr
- num_layers_to_decode : opj_tcp
- num_of_use : target_param
- num_remain : markeridx_param
- num_runs : dec_mel
- num_tps : opj_tile_info
- numbands : opj_tcd_resolution
- numbps : opj_tcd_band, opj_tcd_cblk_dec, opj_tcd_cblk_enc
- numchunks : opj_tcd_cblk_dec
- numchunksalloc : opj_tcd_cblk_dec
- numcl : opj_jp2
- numcomps : opj_codestream_info, opj_image, opj_jp2, opj_pi_iterator, opj_tcd_tile
- numdecompos : opj_codestream_info
- numgbits : opj_tccp, opj_tccp_info
- numlayers : opj_codestream_info, opj_tcp, opj_tile_v2_info
- numleafsh : opj_tgt_tree
- numleafsv : opj_tgt_tree
- numlenbits : opj_tcd_cblk_dec, opj_tcd_cblk_enc
- numnewpasses : opj_tcd_cblk_dec, opj_tcd_seg
- numnodes : opj_tgt_tree
- numOfcclose : query_param
- numOfcid : cache_param
- numOfdecomp : CODmarker_param
- numOflayers : CODmarker_param
- numpasses : opj_tcd_cblk_enc, opj_tcd_layer, opj_tcd_seg
- numpassesinlayers : opj_tcd_cblk_enc
- numpix : opj_tcd_tile, opj_tcd_tilecomp, opj_tile_info
- numpocs : opj_cparameters, opj_tcp
- numresolution : opj_cparameters
- numresolutions : opj_pi_comp, opj_tccp, opj_tccp_info, opj_tcd_tilecomp
- numsegs : opj_tcd_cblk_dec